×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Mar 2010
    Posts
    53

    Does Qt Quick support S60 5th

    Hi all!

    I use QT SDK and installed Qt 4.7.2 (included with Qt SDK) to my Nokia C6-00 and Nokia X6. But I can not run any QML application on these devices, including simple "Hello world" example. On the Nokia N8 everything is running normally.

    Can someone tell me Does Qt Quick support S60 5th?

    Thank for your help!
    Zombieisme.

  2. #2
    Registered User
    Join Date
    May 2009
    Location
    Guatemala
    Posts
    186

    Re: Does Qt Quick support S60 5th

    Are you referring to pure QML applications ?

    I have run many QML apps on my 5230 (S60 5th), but in all of them QML code was loaded into Qt C++ using QDeclarative.
    -CarlosDL

  3. #3
    Registered User
    Join Date
    Mar 2010
    Posts
    53

    Re: Does Qt Quick support S60 5th

    Hi cadlg!

    Yes, when we new Qt Quick Project -> Qt Quick Application we have "Hello" example with QML code was loaded into Qt C++ using QDeclarative. But on my S60 5th device it not work.
    Do you also used Qt 4.7.2 include in Qt SDK?
    I also installed Qt Mobility 1.1.1 and qmlviewer.sis but it still not work. Am I missing anything?

    Thank for your help?
    Zombieisme.

  4. #4
    Registered User
    Join Date
    May 2009
    Location
    Guatemala
    Posts
    186

    Re: Does Qt Quick support S60 5th

    Quote Originally Posted by Zombieisme View Post
    Hi cadlg!

    Yes, when we new Qt Quick Project -> Qt Quick Application we have "Hello" example with QML code was loaded into Qt C++ using QDeclarative. But on my S60 5th device it not work.
    Do you also used Qt 4.7.2 include in Qt SDK?
    I also installed Qt Mobility 1.1.1 and qmlviewer.sis but it still not work. Am I missing anything?

    Thank for your help?
    Zombieisme.
    I think the sqlite package that gets installed with Qt for Symbian^1 has some problems in this beta, and it makes QML and database applications crash.

    Try installing the sqlite3 sis on your devices from your SDK installation. It should be under <Qt SDK root>\Symbian\sis\Symbian^1\Qt\4.7.2

    Please let us know if it helps.
    -CarlosDL

  5. #5
    Registered User
    Join Date
    Mar 2010
    Posts
    53

    Re: Does Qt Quick support S60 5th

    Thank cadlg!

    After install sqlite3.sis ( in <Qt SDK root>\Symbian\sis\Symbian^1\Qt\4.7.2 ) my X6 now can run Qt Quick app ( C6-00 still not work - i will try more).

    But what the hell is relationship between QML "Hello world" and sqlite3

    Thank for your help!
    Zombieisme.

  6. #6
    Registered User
    Join Date
    May 2009
    Location
    Guatemala
    Posts
    186

    Re: Does Qt Quick support S60 5th

    Quote Originally Posted by Zombieisme View Post
    But what the hell is relationship between QML "Hello world" and sqlite3
    Don't know either...

    Good luck.
    -CarlosDL

  7. #7
    Nokia Developer Champion
    Join Date
    Aug 2010
    Location
    Ahmedabad
    Posts
    299

    Re: Does Qt Quick support S60 5th

    Have you installed latest Qt 4.7.2(or 4.7.1) on your mobile ? I can run QML same game on my Nokia 5230 mobile after installing Qt 4.7.1 on my mobile. To do this Start->Programs->QtSDK->Symbian^1->Install Qt 4.7.1 on symbian device. It is .sis file and install Qt Mobility and other required package on mobile.

    I think this should work for you also.

Similar Threads

  1. Does S60 5th Edition support CMMFCodec?
    By hanpine in forum Symbian Media (Closed)
    Replies: 2
    Last Post: 2009-12-17, 01:49

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×